appcan.ready(function() {
    // 取出之前存储的ip
    var ipAddressAll = localStorage.getItem("IPAddress");
    
    var ipAndPort = ipAddressAll.substring(7);
    console.log(ipAndPort);
    // 再截取除Ip和端口
    var IpStr = ipAndPort.split(":")[0];
    var PortStr = ipAndPort.split(":")[1];
    // 给IP和端口输入框赋初始值
    document.getElementById("InputIP").value = IpStr;
    document.getElementById("InputPort").value = PortStr.split("/")[0];
})
// 点击确定的时候
appcan.button("#btnRequire", "#ani-act", function() {
    var inputIpStr = document.getElementById("InputIP").value;
    var inputPortStr = document.getElementById("InputPort").value;
    // 如果IP不正确
    if (!isIP(inputIpStr)) {
        document.getElementById("ContentIp").className = "uinput ub ub-f1 ub-ac ub uba bc-border error";
        return;
    }
    document.getElementById("ContentIp").className = "uinput ub ub-f1 ub-ac ub ubb bc-border";
    if (!isPort(inputPortStr)) {
        document.getElementById("ContentPort").className = "uinput ub ub-f1 ub-ac ub uba bc-border error";
        return;
    }
    document.getElementById("ContentPort").className = "uinput ub ub-f1 ub-ac ub ubb bc-border";
    // 保存新的IP和端口
    // 把新输入的ip地址存储下
    localStorage.removeItem("IPAddress");
    var str = "http://" + inputIpStr + ":" + inputPortStr;
    console.log("保存:" + str);
    localStorage.setItem("IPAddress", str);
    closepop();
})
// 点击取消的时候
appcan.button("#btnCancel", "#ani-act", function() {
    closepop();
})
// 成功的时候
function SuccessPop() {
    appcan.window.publish("popOverSuccess", "");
}

// 关闭
function closepop() {
    appcan.window.close(-1);
}

/*ip号校验*/
function isIP(ip) {
    var reSpaceCheck = /^(\d+)\.(\d+)\.(\d+)\.(\d+)$/;
    if (reSpaceCheck.test(ip)) {
        ip.match(reSpaceCheck);
        if (RegExp.$1 <= 255 && RegExp.$1 >= 0 && RegExp.$2 <= 255 && RegExp.$2 >= 0 && RegExp.$3 <= 255 && RegExp.$3 >= 0 && RegExp.$4 <= 255 && RegExp.$4 >= 0) {
            return true;
        } else {
            return false;
        }
    } else {
        return false;
    }
}

/*端口号校验*/
function isPort(str) {
    var parten = /^(\d)+$/g;
    if (parten.test(str) && parseInt(str) <= 65535 && parseInt(str) >= 0) {
        return true;
    } else {
        return false;
    }
}