appcan.ready(function() {
    
    /* 注册一个频道，当信息变化的时候，修改界面显示内容  */
    appcan.window.subscribe('UserDetailAndPhoto_content',function(msg){
        if(msg == "Mobile"){
            var localStorage = window.localStorage;
            var mobile = localStorage.getItem("userInfoDetailMobile");
            $('#valueMobile').text(mobile);
        }else if(msg == "Email"){
            var localStorage = window.localStorage;
            var email = localStorage.getItem("userInfoDetailEmail");
            $('#valueEmail').text(email);
        }else if(msg == "PhotoUrl"){
            var localStorage = window.localStorage;
            var photoUrl = localStorage.getItem("userInfoDetailPhotoUrl");
            if(photoUrl == ''){
                photoUrl = 'UserInfo_content/css/myImg/photo.jpg';
            }
            $("#PhotoImg").css("background-image", "url('" + photoUrl + "')");
        }
    });
    appcan.initBounce();
    
    initLayout();
    
    appcan.button("#Photo", "ani-act", function(){
        // createActionSheet();
        appcan.window.open("UserInfoPhoto","UserInfoPhoto.html",10);
    });
    appcan.button("#Mobile", "ani-act", function(){
        var localStorage = window.localStorage;
        localStorage.setItem("UserDetailFlag", "Mobile");
        appcan.window.open("UserInfoEditor","UserInfoEditor.html",10);
    });
    appcan.button("#Email", "ani-act", function(){
        var localStorage = window.localStorage;
        localStorage.setItem("UserDetailFlag", "Email");
        appcan.window.open("UserInfoEditor","UserInfoEditor.html",10);
    });
}) 


/**
 * 获取用户信息
 */ 
function initLayout(){
    var localStorage = window.localStorage;
    /* 真实姓名 */
    var nameStr = localStorage.getItem("userInfoDetailName");
    $("#valueRealName").text(nameStr);
    /* 头像 */
    var photoUrl = localStorage.getItem("userInfoDetailPhotoUrl");
    if(photoUrl.indexOf("http://") == -1){
        photoUrl = "../" + photoUrl;
    }
    $("#PhotoImg").css("background-image", "url('" + photoUrl + "')");
    /* 登录用户名 */
    var loginNameStr = localStorage.getItem("userInfoDetailUserName");
    $("#valueLoginName").text(loginNameStr);
    /* 所属部门 */
    var deptStr = localStorage.getItem("userInfoDetailDeptName");
    $("#valueDeptName").text(deptStr);
    /* 职位 */
    var roleNameStr = localStorage.getItem("userInfoDetailRoleName");
    $("#valueRoleName").text(roleNameStr);
    /* 固话 */
    var phoneStr = localStorage.getItem("userInfoDetailPhone");
    $("#valuePhone").text(phoneStr);
    /* 手机号码 */
    var mobileStr = localStorage.getItem("userInfoDetailMobile");
    $("#valueMobile").text(mobileStr);
    /* 邮箱 */
    var emailStr = localStorage.getItem("userInfoDetailEmail");
    $("#valueEmail").text(emailStr);
}