    ; (function ($) {
         //1
         function parseArguments(url, data, success, dataType) {
             if ($.isFunction(data)) dataType = success, success = data, data = undefined
             if (!$.isFunction(success)) dataType = success, success = undefined
             return {
                 url: url
             , data: data
             , success: success
             , dataType: dataType
             }
         }
         var token = window.localStorage.getItem("token");

         $.each(["get", "post"], function (i, method) {
             Zepto[method] = function (url, data, success, dataType) {
                 if ($.isFunction(data)) {
                     data = {};
                 }
                 data.token = token;
                 var options = parseArguments.apply(null, arguments)
                 options.type = method
                 return $.ajax(options)
             }
         });
         //2
         var _ajax = $.ajax;
         $.ajax = function (options) {
             if (options.data == undefined) {
                 options.data = {};
             }
             options.data.token = token;
             return _ajax(options);
         };
         //3
         var _appcanAjax = appcan.ajax;
         appcan.ajax = function (options) {
             if (options.data == undefined) {
                 options.data = {};
             }
             options.data.token = token;
             return _appcanAjax(options);
         };
     })(Zepto)
