//数据库操作
var uexDatabaseMgrCase = {
    "select" : function(paramDataPath, tableName, cb) {
        var db = uexDataBaseMgr.open(paramDataPath, 1);
        if (db != null) {
            var sql = "SELECT * FROM " + tableName;
            uexDataBaseMgr.select(db, sql, function(error, data) {
                if (error) {
                    appcan.window.alert({
                        title : "提示",
                        content : "select查询失败",
                        buttons : "确定",
                    });
                } else {
                    cb(data);
                }
                uexDataBaseMgr.close(db);
            });
        } else {
            appcan.window.alert({
                title : "提示",
                content : "数据库操作失败",
                buttons : "确定",
            });
        }
    },
    "transactionEx" : function(sqls, paramDataPath, tableName, cb) {
        var db = uexDataBaseMgr.open(paramDataPath, 1);
        if (db != null) {
            var del = 'DELETE FROM ' + tableName;
            uexDataBaseMgr.sql(db, del, function(error) {
                if (!error) {
                    uexDataBaseMgr.transactionEx(db, JSON.stringify(sqls), function(error) {
                        if (!error) {
                            cb();
                            uexDataBaseMgr.close(db);
                        } else {
                            appcan.window.alert({
                                title : "提示",
                                content : "事物执行失败",
                                buttons : "确定",
                            });
                        }

                    });
                } else {
                    appcan.window.alert({
                        title : "提示",
                        content : "清表失败",
                        buttons : "确定",
                    });
                }
            });

        } else {
            appcan.window.alert({
                title : "提示",
                content : "数据库打开失败",
                buttons : "确定",
            });
        }
    },
    "selectAll" : function(sqls, paramDataPath, cb) {
        var db = uexDataBaseMgr.open(paramDataPath, 1);
        if (db != null) {
            uexDataBaseMgr.select(db, sqls, function(error, data) {
                if (error) {
                    appcan.window.alert({
                        title : "提示",
                        content : "selectAll查询失败",
                        buttons : "确定",
                    });
                } else {
                    cb(data);
                }
                uexDataBaseMgr.close(db);
            });
        } else {
            appcan.window.alert({
                title : "提示",
                content : "数据库操作失败",
                buttons : "确定",
            });
        }
    },
    "insert" : function(db, sql, cb) {
        uexDataBaseMgr.sql(db, sql, function(error, data) {
            if (error) {
                appcan.window.alert({
                    title : "提示",
                    content : "insert插入失败",
                    buttons : "确定",
                });
            } else {
                cb(data);
            }
        });
    },
    "open" : function(paramDataPath, cb) {
        var db = uexDataBaseMgr.open(paramDataPath, 1);
        if (db != null) {
            cb(db);
        } else {
            appcan.window.alert({
                title : "提示",
                content : "数据库打开失败",
                buttons : "确定",
            });
        }
    },
    "close" : function(db, cb) {
        uexDataBaseMgr.close(db);
        cb();
    },
    "delete" : function(db, tableName, cb) {
        var del = 'DELETE FROM ' + tableName;
        uexDataBaseMgr.sql(db, del, function(error) {
            if (error) {
                appcan.window.alert({
                    title : "提示",
                    content : "delete删除失败",
                    buttons : "确定",
                });
            } else {
                cb();
            }
        });
    },
    "onlySelect" : function(db,sqls,cb){
        uexDataBaseMgr.select(db, sqls, function(error, data) {
            if (error) {
                appcan.window.alert({
                    title : "提示",
                    content : "查询失败",
                    buttons : "确定",
                });
            } else {
                cb(data);
            }
        });
    },
    "onlyTransactionEx" : function(db,sqls,tableName,cb){
        var del = 'DELETE FROM ' + tableName;
        uexDataBaseMgr.sql(db, del, function(error) {
            if (!error) {
                uexDataBaseMgr.transactionEx(db, JSON.stringify(sqls), function(error) {
                    if (!error) {
                        cb();
                    } else {
                        appcan.window.alert({
                            title : "提示",
                            content : "事物执行失败",
                            buttons : "确定",
                        });
                    }
                });
            } else {
                appcan.window.alert({
                    title : "提示",
                    content : "清表失败",
                    buttons : "确定",
                });
            }
        })
    }
}