appcan.button("#nav-left", "btn-act", function() {
    appcan.window.close(-1);
});
appcan.ready(function() {
    getRefineList()
})
var refineList = []
var HEAT_ID = ""

function getRefineList() {
    var g = "";
    refineList = []
    $(".refineList").html("")
    $(".refineList").append("<tr><td></td><td class='top'>实际炉号</td><td  class='top'>计划精炼座次</td></tr>")
    $.ajax({
        url: 'http://opssapi.lygttg.com/api/PPS_B_CHEAT_PLAN/APPGETPPS_B_CHEAT_PLANList?status=PC0020',
        type: "GET",
        contentType: "application/json",
        dataType: "json",
        success: function(result) {
            console.log(result);
            for (var i = 0; i < result.length; i++) {
                refineList.push({
                    HEAT_ID: result[i].HEAT_ID,
                    FIR_LF_WKST: result[i].FIR_LF_WKST == 'G130' ? '1号精炼座次' : result[i]
                        .FIR_LF_WKST == 'G131' ? '2号精炼座次' : '3号精炼座次'
                })
            }
            for (var i = 0; i < refineList.length; i++) {
                g += "<tr><td><div class='checkbox umar-r'><input type='checkbox' class='box uabs ub-con' onclick='selectCheckbox(event)' ></div></td><td>" +
                    refineList[i].HEAT_ID + "</td><td>" + refineList[i].FIR_LF_WKST + "</td></tr>"
            }

            $(".refineList").append(g)
        }
    });
}

function selectCheckbox(e) {
    $(".box").each(function() {
        $(this).click(function() {
            if ($(this).prop('checked')) {
                $('.box').prop('checked', false);
                $(this).prop('checked', true);
            } else {
                HEAT_ID = ""
            }
        });
    });
    HEAT_ID = e.path[3].children[1].innerHTML
}

function toRefine(LF) {
    if(HEAT_ID=="")
    {
        appcan.window.alert({
            title: "提示",
            content: "最少选择一条数据",
            buttons: "确定",
        });
        return
    }
    if (HEAT_ID !== "") {
        $.ajax({
            url: 'http://opssapi.lygttg.com/api/PPS_B_CHEAT_PLAN/APPLF_STATION_CHANGE?HEAT_ID=' + HEAT_ID +
                '&LF=' + LF,
            type: "GET",
            contentType: "application/json",
            dataType: "json",
            success: function(result) {
                if (result.status == 200) {
                    getRefineList()
                } else {
                    appcan.window.alert({
                        title: "提示",
                        content: result.msg,
                        buttons: "确定",
                    });
                }
            }
        });
    } else {
        appcan.window.alert({
            title: "提示",
            content: "最少选择一条数据",
            buttons: "确定",
        });
    }

}
