/* 当前要修改的字段 1表示手机 2表示邮箱 3表示固话 4表示昵称*/
var currentModiry = 1;
var USER_MOBILE = 1;
var USER_EMAIL = 2;
/* 当前存储的 手机号码、邮箱 */
var oldUserMobile;
var oldUserEmail;
/* 当前要修改的值 */
var currentModifyStr;

/* 是否可以修改 */
var isModify = false;

// 用户Id
var userId;
// 联网的IP地址
var ipAddress;
// token
var userToken;

appcan.ready(function() {
    appcan.initBounce();
    
    var localStorage = window.localStorage;
    /* 取出当前客户的手机号码*/
    oldUserMobile = localStorage.getItem("userInfoDetailMobile");
    /* 取出当前客户的邮箱 */
    oldUserEmail = localStorage.getItem("userInfoDetailEmail");
    
    // 从本地取出用户的Id和联网IP的地址
    ipAddress = localStorage.getItem("IPAddress");
    userId = localStorage.getItem("USERID");
    userToken = localStorage.getItem("TOKEN");
    
    /* 当前是要修改手机还是邮箱 */
    var userDetailFlag = localStorage.getItem("UserDetailFlag");
    if(userDetailFlag == "Mobile"){
        $('#display').text("11位手机号码");
        $("#InputValue").val(oldUserMobile);
        currentModiry = USER_MOBILE;
        currentModifyStr = oldUserMobile;
        /* 电话号码数字键盘 */
        $('#InputValue').attr('type','tel');
    }else if(userDetailFlag == "Email"){
        $('#display').text("邮箱账号");
        $("#InputValue").val(oldUserEmail);
        currentModiry = USER_EMAIL;
        currentModifyStr = oldUserEmail;
        /* email键盘 */
        $('#InputValue').attr('type','email');
    }
    setTimeout("showKeyBoard()",300);
    /*如果输入框中的值不为空就显示*/
    if(currentModifyStr != ""){
        $('#delete').removeClass("uhide");
    }    
    /* 监听名输入框，当修改的时候，把上面的保存按钮变亮 允许点击 */
    $(document)
    .on('input propertychange','#InputValue',function (e) {
        isModify = false;
        /* 如果值为空的话 */
        if($.trim(this.value) == ""){
            appcan.window.evaluateScript({name:'UserInfoEditor',scriptContent:'clickFalse()'});
            $('#delete').addClass("uhide");
            return;
        }
        $('#delete').removeClass("uhide");
        /* 如果跟现在的值是一样的话 则把保存不能点击*/
        if($.trim(this.value) == currentModifyStr){
            appcan.window.evaluateScript({name:'UserInfoEditor',scriptContent:'clickFalse()'});
            return;
        }
        
        switch(currentModiry){
            case USER_MOBILE:
                // 首先判断当前是否是手机号码
                if(!isMobile($.trim(this.value))){
                    appcan.window.evaluateScript({name:'UserInfoEditor',scriptContent:'clickFalse()'});
                    return;
                }
            break;
            case USER_EMAIL:
                // 首先判断当前是否是邮箱
                if(!checkEmail($.trim(this.value))){
                    appcan.window.evaluateScript({name:'UserInfoEditor',scriptContent:'clickFalse()'});
                    return;
                }
            break;
        }
        isModify = true;
        appcan.window.evaluateScript({name:'UserInfoEditor',scriptContent:'clickTrue()'});
        
    })
})
/* 点击用户名右面的删除按钮 */
appcan.button("#delete", "ani-act", function(){
    $('#InputValue').val("");
    $('#delete').addClass("uhide");
})
function showKeyBoard(){
    if(uexWidgetOne.platformName == "android"){
        $('#InputValue').focus();
        uexWindow.showSoftKeyboard();
    }else {
        $('#InputValue').focus();
    }
}

/* 提交个人信息 */
function Modify_UserInfo(){
    /* 当前输入的值 */
    var inputContent = $.trim($('#InputValue').val());
    if(inputContent == ""){
        /*appcan.window.openToast('输入值不能为空', '1000', '5', '0');*/
        appcan.window.alert({
                        title:"提示",
                        content:'输入值不能为空',
                        buttons:"确定",
                    });
        return;
    }
    if(currentModifyStr == inputContent){
        /*appcan.window.openToast('未输入新值', '1000', '5', '0');*/
        appcan.window.alert({
                        title:"提示",
                        content:'未输入新值',
                        buttons:"确定",
                    });
        return;
    }
    if(!isModify){
        /*appcan.window.openToast('输入值不合法', '2000', '5', '0');*/
        appcan.window.alert({
                        title:"提示",
                        content:'输入值不合法',
                        buttons:"确定",
                    });
        return;
    }
    /* 当前要修改的值 */
    var modifyMobile;
    var modifyEmail;
    if(currentModiry == USER_MOBILE){
        modifyMobile = $.trim(inputContent);
        modifyEmail = oldUserEmail;
    }else if(currentModiry == USER_EMAIL){
        modifyMobile = oldUserMobile;
        modifyEmail = $.trim(inputContent);
    }
    appcan.window.openToast("加载中", "", "5", "1");
    appcan.request.ajax({
        url : ipAddress + '/interface',
        type : 'POST',
        data : {
            method : 'updateUserInfo',
            info : {
                'email' : modifyEmail,
                'mobile' : modifyMobile
            },
            'user_id' : userId,
            'token' : userToken
        },
        offline : false,
        timeout : 5000,
        dataType: "json",
        success:function(obj, status, requestCode, response, xhr) {
            appcan.window.closeToast();
            //console.log(data);
            //var obj = eval ("(" + data + ")");
            /* {'success':true,'message':'修改用户信息成功'} */
            if(obj.status == "success"){
                appcan.window.openToast('修改成功', '1000', '5', '0');
                /* 重新保存下 */
                var localStorage = window.localStorage;
                /* 关闭此页面 然后修改上一个页面的值为最新的  */
                if(currentModiry == USER_MOBILE){
                    /* 把获取到的值存储起来 手机号码  */
                    localStorage.removeItem("userInfoDetailMobile");
                    localStorage.setItem("userInfoDetailMobile", modifyMobile);
                    appcan.window.publish('UserDetailAndPhoto_content','Mobile');
                }else if(currentModiry == USER_EMAIL){
                    /* 把获取到的值存储起来 邮箱  */
                    localStorage.removeItem("userInfoDetailEmail");
                    localStorage.setItem("userInfoDetailEmail", modifyEmail);
                    appcan.window.publish('UserDetailAndPhoto_content','Email');
                }
                /* 退回  */
                appcan.window.evaluateScript({name:'UserInfoEditor',scriptContent:'appcan.window.close(-1);'});
            }else {
                appcan.window.openToast(obj.message, '1000', '5', '0');
            }
        },
        error:function(e){
            appcan.window.openToast("数据连接失败", "1000", "5", "0");
        }
    });
}
/**
 * 验证手机号码
 * 验证130-139,150-159,180-189号码段的手机号码
 * @param {Object} mobile 手机号
 */
function isMobile(mobile){
    var myreg = /^(((13[0-9]{1})|(15[0-9]{1})|(18[0-9]{1}))+\d{8})$/;
    if(mobile.length != 11 || !myreg.test(mobile)){
        return false; 
    } 
    return true;
}
/**
 * 验证邮箱
 * 验证规则：姑且把邮箱地址分成“第一部分@第二部分”这样
 * 第一部分：由字母、数字、下划线、短线“-”、点号“.”组成
 * 第二部分：为一个域名，域名由字母、数字、短线“-”、域名后缀组成
 * 而域名后缀一般为.xxx或.xxx.xx，一区的域名后缀一般为2-4位，如cn,com,net，现在域名有的也会大于4位
 * @param {Object} str 邮箱
 */
function checkEmail(str){
    var re = /^(\w-*\.*)+@(\w-?)+(\.\w{2,})+$/
    if(re.test(str)){
        return true;
    }
    return false;
}
/**
 * 验证区号
 * 验证规则：区号+号码，区号以0开头，3位或4位
 * 号码由7位或8位数字组成
 * 区号与号码之间可以无连接符，也可以“-”连接
 * 如01088888888,010-88888888,0955-7777777
 * @param {Object} str 区号
 */
function checkPhone(str){
    var re = /^0\d{2,3}-?\d{7,8}$/;
    if(re.test(str)){
        return true;
    }
    return false;
}
/**
 * 验证账号
 * 验证规则：字母、数字、下划线组成，字母开头，4-16位
 * @param {Object} str
 */
function checkUser(str){
    var re = /^[a-zA-z]\w{3,15}$/;
    if(re.test(str)){
        return true;
    }
    return false;          
}
