/*
 * 头像展示和修改内容页面
 * Author 雷艳红
 * 时间 2017年 4月20日
 */
// 当前存储的 客户姓名、手机号码、邮箱
var oldUserName;
var oldUserMobile;
var oldUserEmail;

appcan.button("#nav-left", "btn-act",
function() {});
appcan.button("#nav-right", "btn-act",
function() {});

appcan.ready(function() {
    // 本地存储对象
    var localStorage = window.localStorage;
    // 头像
    var photoUrl = localStorage.getItem("userInfoDetailPhotoUrl");
    console.log(photoUrl);
    if(photoUrl.indexOf("http://") == -1){
        photoUrl = "../" + photoUrl;
    }
    // 测试使用的
    $("#PhotoImg").css("background-image", "url('" + photoUrl + "')");
})
    // 修改头像图片
    function Modify_Photo(){
        // 弹出头像选择框
        createSystemActionSheet();
    }
    
    function onClickItem(dateType) {
        if(dateType == 0){
            var comtextareass = 0;
            var quality = 80;
            uexCamera.open(comtextareass, quality, function(picPath) {
                // 剪切图片
                ClictPhoto(picPath);
            });
        }else if(dateType == 1){
            var data={
                min:1,
                max:1,
                title:"选取图片",
                quality:0.8,
                //usePng:true,
                detailedInfo:true
            }
            var json=JSON.stringify(data);
            uexImage.openPicker(json,function(error,info){
                if(error==-1){
                }else if(error==0){
                    ClictPhoto(info.data[0]);
                }else{
                    console.log("select cancel");
                }
            });
        }
    }
    
    function ClictPhoto(imgPath){
        var data={
            src:imgPath,
            mode:1
        }
        uexImage.openCropper(data,function(error,info){
            if(error==-1){
                console.log("clict cancel");
            }else if(error==0) {
                UploadPhoto(info.data);
            }
        });
    }
    
    function createActionSheet() {
            var x = 0;
            var y = 0;
            var width = 0;
            var height = 0;
            var JsonData = {"actionSheet_style":{"frameBgColor":"#ffffff","frameBroundColor":"#00000000","frameBgImg":"","btnSelectBgImg":"res://action-bg-act.png","btnUnSelectBgImg":"res://action-bg.png","cancelBtnSelectBgImg":"res://action-bg-act.png","cancelBtnUnSelectBgImg":"res://cancel-bg.png","textSize":"13","textNColor":"#0a0a0a","textHColor":"#0a0a0a", "cancelTextNColor":"#0a0a0a","cancelTextHColor":"#0a0a0a", "actionSheetList":[{"name":"拍照"},{"name":"从手机相册选取"}]}};
            uexActionSheet.open(x,y,width,height,JsonData);
            uexActionSheet.onClickItem = onClickItem;
        }
        
    function createSystemActionSheet(){
        uexWindow.cbActionSheet = function(opid, type, data) {
            switch (Number(data)) {
            case 0: {
                var comtextareass = 0;
                var quality = 80;
                uexCamera.open(comtextareass, quality, function(picPath) {
                    // 剪切图片
                    ClictPhoto(picPath);
                });
                break;
            }
            case 1: {
                var data={
                    min:1,
                    max:1,
                    title:"选取图片",
                    quality:0.8,
                    //usePng:true,
                    detailedInfo:true
                }
                var json=JSON.stringify(data);
                uexImage.openPicker(json,function(error,info){
                    if(error==-1){
                    }else if(error==0){
                        ClictPhoto(info.data[0]);
                    }else{
                        console.log("select cancel");
                    }
                });
                break;
            }
            default:
                break;
            }
        }
        uexWindow.actionSheet("请选择", "取消", ['拍摄照片', '本地相册']);
    }
    
    function UploadPhoto(uploadPhotoPath){
        // 从本地取出用户的Id和联网IP的地址
        var localStorage = window.localStorage;
        var ipAddress = localStorage.getItem("IPAddress");
        var userId = localStorage.getItem("USERID");
        var userToken = localStorage.getItem("TOKEN");
        var req = uexXmlHttpMgr.create({
            method:"POST",
            url:ipAddress + '/interface',
            timeout:30000,
        });
        if(!req){
            console.log("upload failed");
            return;
        }
        $('#status').removeClass("uhide");
        
        // 设置请求的数据
        uexXmlHttpMgr.setPostData(req, 0, "method", "uploadHeadPortrait");
        uexXmlHttpMgr.setPostData(req, 0, "info", "");
        uexXmlHttpMgr.setPostData(req, 1, "file", uploadPhotoPath);
        uexXmlHttpMgr.setPostData(req, 0, "user_id", userId);
        uexXmlHttpMgr.setPostData(req, 0, "token", userToken);
        // 发送的数据
        uexXmlHttpMgr.send(req,0,
            function(status,resStr,resCode,resInfo){
                if(status == 1){
                    appcan.window.openToast("上传成功", '1000', '5', '0');
                    // 传递消息 把主界面和上一个界面的图片都修改下
                    localStorage.removeItem("userInfoDetailPhotoUrl");
                    localStorage.setItem("userInfoDetailPhotoUrl", uploadPhotoPath);
                    $("#PhotoImg").css("background-image", "url('" + uploadPhotoPath + "') !important");
                    appcan.window.publish("UserDetailAndPhoto_content", "PhotoUrl");
                }else if(status == -1){
                    console.log("upload failed last");
                }
            },
            function(progress){
                $('#per').text(progress + '%');
                $('#percentage').css('width', progress  + '%');
                if(progress == 100){
                    $('#status').addClass("uhide");
                }
            });
    }
