// 用户Id
var userId;
// 联网的IP地址
var ipAddress;
// token
var userToken;

appcan.ready(function() {
    appcan.initBounce();
    // 从本地取出用户的Id和联网IP的地址
    var localStorage = window.localStorage;
    ipAddress = localStorage.getItem("IPAddress");
    userId = localStorage.getItem("USERID");
    userToken = localStorage.getItem("TOKEN");
})
// 点击修改的时候
appcan.button("#bind", "ani-act", function(){
    // 判断原密码 新密码和确认密码是否为空
    var lastPass = document.getElementById("lastPassword").value;
    var newPass = document.getElementById("newPassword").value;
    var quirePass = document.getElementById("quirePassword").value;
    if(lastPass == null || lastPass == "" || newPass == null 
        || newPass == "" || quirePass == null || quirePass == ""){
        /*appcan.window.openToast("输入的内容不能为空", 1000, "5", "0");*/
        appcan.window.alert({
                title:"提示",
                content:'输入的内容不能为空',
                buttons:"确定",
            });
        return;
    }
    // 输入的新密码是6-20位数字字母下划线组合
    /*if(!isPasswd(newPass)){
        appcan.window.openToast("6-20个字母、数字、下划线", 1000, "5", "0");
        return;
    }*/
    if(newPass != quirePass){
        /*appcan.window.openToast("输入的新密码不一致", 1000, "5", "0");*/
        appcan.window.alert({
                title:"提示",
                content:'输入的新密码不一致',
                buttons:"确定",
            });
        return;
    }
    // 如果原密码和新密码一样的话，提醒用户
    if(lastPass == newPass){
        /*appcan.window.openToast("输入的新密码和原密码一样", 1000, "5", "0");*/
        appcan.window.alert({
                title:"提示",
                content:'输入的新密码和原密码一样',
                buttons:"确定",
            });
        return;
    }
    ModifyPassword(lastPass, newPass);
})
//校验密码：只能输入6-20个字母、数字、下划线  
function isPasswd(s)  
{  
    var patrn=/^(\w){6,20}$/;  
    if (!patrn.exec(s)) return false
        return true
}
// 修改密码的方法
function ModifyPassword(lastPassword, newPassword){
    appcan.window.openToast("加载中", "", "5", "1");
    appcan.request.ajax({
        url : ipAddress + '/interface',
        type : 'POST',
        data : {
            method : 'updatePassword',
            info : {
                'newpassword' : newPassword,
                'password' : lastPassword
            },
            'user_id' : userId,
            'token' : userToken
        },
        offline : false,
        timeout : 5000,
        dataType: "json",
        success:function(obj, status, requestCode, response, xhr) {
            if(obj.status == "success"){
                
                appcan.window.evaluateScript({name:'UserModifyPassword',scriptContent:'appcan.window.close(0);'});
                var localStorage = window.localStorage;
                var passwordStr = localStorage.getItem("password");
                // 如果有记住密码的时候，再把值更换成新的 如果没有，则不用处理
                if(passwordStr != "" && passwordStr != null){
                    localStorage.setItem("password", newPassword);
                    appcan.window.publish("modifyPass", "");
                }
                // 修改成功
                appcan.window.openToast('修改密码成功', 1000, "5", "0");
            }else {
                // 用户输入原密码错误
                appcan.window.openToast(obj.msg, "1000", "5", "0");
            }
        },
        error: function (xhr) {
            appcan.window.openToast("数据连接失败", "1000", "5", "0");
        }
    })    
}
