var uexFileMgrCase = {
    'flagFilePath' : function(savePath){//判断文件/图片路径
        return uexFileMgr.isFileExistByPath(savePath);
    },
    'flagDownloadFile' : function(downloadUrl){//判断文件是否已经存在
        var date=downloadUrl.substring(downloadUrl.lastIndexOf('/')+1);
        var savePath = "wgt://data/down/"+date;
        //var savePath = "res://"+date;
        var flagFilePath = uexFileMgrCase.flagFilePath(savePath) ? true : false;
        if(!flagFilePath){
            //appcan.logs('先下载downloadUrl:'+downloadUrl+'\nsavePath:'+savePath)
            uexFileMgrCase.downloadAlarmCardFile(downloadUrl,savePath);
        }else{
            //appcan.logs('直接打开:'+savePath)
            uexFileMgrCase.openFile(savePath);//直接打开（是不是存在有下载一般就终止的情况，但是还是有文件名保存下来的情况，自己需要研究）
        }
    },
    'downloadAlarmCardFile' : function(downloadUrl,savePath) {//下载文件
        var flag=true;
        var downloader = uexDownloaderMgr.create();
        if (downloader != null) {
            uexDownloaderMgr.download(downloader,
                downloadUrl,//下载路径
                savePath,//文件保存路径
                1,
                function (fileSize, percent, status) {
                    if (percent>=50&&flag){
                        flag=false;
                        var result=uexDownloaderMgr.getInfo(downloadUrl);
                        if (result==null){
                            appcan.window.openToast('没有获取到下载信息!',2000,5);
                        }else{
                            //appcan.logs(JSON.stringify(result));
                        }
                    }
                    switch (status) {
                            case 0:
                                //appcan.logs("文件大小：" + fileSize + "字节<br>下载进度：" + percent);
                                break;
                            case 1:
                                //appcan.logs("下载完成");
                                uexDownloaderMgr.closeDownloader(downloader);
                                uexFileMgrCase.openFile(savePath);
                                break;
                            case 2:
                                //appcan.logs("下载失败");
                                appcan.window.openToast('下载文件失败!',2000,5)
                                break;
                    }
                });
        } else {
            appcan.window.openToast('下载对象创建失败!',2000,5);
        }
    },
    'openFile' : function(savePath){//直接打开文件
        //appcan.logs('打开路径：'+savePath);
        var fileType = savePath.substring(savePath.lastIndexOf('.')+1);
        if(fileType == 'docx' || fileType == 'doc'){
            //appcan.logs('打开文档:'+savePath);
            uexDocumentReader.openDocumentReader(savePath);
        }
        else if(fileType == 'pdf'){
            //appcan.logs('打开pdf:'+savePath)
            uexPDFReader.openPDFReader(savePath);
        }
        else{
            appcan.window.openToast('没有可打开的文件!',2000,5)
        }
            
    },
    'flagDownloadPic' : function(downloadUrl){//判断图片是否已经存在
        var date=downloadUrl.substring(downloadUrl.lastIndexOf('/')+1);
        var savePath = "wgt://data/down/pic/"+date;
        var flagFilePath = uexFileMgrCase.flagFilePath(savePath) ? true : false;
        if(!flagFilePath){
            //alert('先下载downloadUrl:'+downloadUrl+'\nsavePath:'+savePath);
            //uexFileMgrCase.downloadAlarmCardPic(downloadUrl,savePath);
            return 0
        }else{
            //alert('flagDownloadPic图片路径:'+savePath)
            return savePath
        }
    },
    'downloadAlarmCardPic' : function(downloadUrl,cb) { //下载图片
        var date=downloadUrl.substring(downloadUrl.lastIndexOf('/')+1);
        var savePath = "wgt://data/down/pic/"+date;
        var flag=true;
        var downloader = uexDownloaderMgr.create();
        if (downloader != null) {
            uexDownloaderMgr.download(downloader,
                downloadUrl,//下载路径
                savePath,//文件保存路径
                1,
                function (fileSize, percent, status) {
                    if (percent>=50&&flag){
                        flag=false;
                        var result=uexDownloaderMgr.getInfo(downloadUrl);
                        if (result==null){
                            appcan.window.openToast('没有获取到下载信息!',2000,5);
                        }else{
                            //appcan.logs(JSON.stringify(result));
                        }
                    }
                    switch (status) {
                            case 0:
                                //appcan.logs("文件大小：" + fileSize + "字节<br>下载进度：" + percent);
                                break;
                            case 1:
                                //alert("downloadAlarmCardPic下载完成");
                                uexDownloaderMgr.closeDownloader(downloader);
                                cb(savePath);
                                break;
                            case 2:
                                //appcan.logs("下载失败");
                                appcan.window.openToast('下载文件失败!',2000,5)
                                break;
                    }
                });
        } else {
            appcan.window.openToast('下载对象创建失败!',2000,5);
        }
    }
}